explain_strtof_or_die(3)

NAME
explain_strtof_or_die - convert string to number and report errors

SYNOPSIS
#include <libexplain/strtof.h>

float explain_strtof_or_die(const char *nptr, char **endptr);
float explain_strtof_on_error(const char *nptr, char **endptr))

DESCRIPTION
The explain_strtof_or_die function is used to call the strtof(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_strtof(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_strtof_on_error function is used to call the strtof(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_strtof(3) function, but still returns to the caller.

nptr
    The nptr, exactly as to be passed to the strtof(3) system call.

endptr
    The endptr, exactly as to be passed to the strtof(3) system call.

RETURN VALUE
The explain_strtof_or_die function only returns on success, see strtof(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_strtof_on_error function always returns the value return by the wrapped strtof(3) system call.

EXAMPLE
The explain_strtof_or_die function is intended to be used in a fashion similar to the following example:
    float result = explain_strtof_or_die(nptr, endptr);

SEE ALSO

strtof(3)
    convert ASCII string to floating-point number

explain_strtof(3)
    explain strtof(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller